﻿package MT::Plugin::PickupDate;
use strict;
use MT;
use MT::Plugin;
our $VERSION = '0.1';
use base qw( MT::Plugin );

@MT::Plugin::PickupDate::ISA = qw( MT::Plugin );

my $plugin = new MT::Plugin::PickupDate ( {
    name => 'PickupDate',
    'version' => $VERSION,
} );

MT->add_plugin( $plugin );

sub init_registry {
    my $plugin = shift;
    $plugin->registry ( {
        callbacks => {
            'cms_post_import.entry'
                => \&_cms_post_import,
            'cms_post_import.page'
                => \&_cms_post_import,
        },
   } );
}

sub _cms_post_import {
    my ( $cb, $app, $entry, $path, $data ) = @_;
    my $site_path = $app->blog->site_path;
    $site_path = quotemeta( $site_path );
    $path =~ s/^$site_path//;
    $path =~ s/^\///;
    my @dates = split( /\//, $path );
    my $y = $dates[0];
    my $m = $dates[1];
    my $d = $dates[2];
    my $ts = sprintf( "%04d%02d%02d000000", $y, $m, $d );
    $entry->authored_on( $ts );
    $entry->save or die $entry->errstr;
}

1;